Subject: Re: [dispatch] Charter proposal: SIP Alert-Info URN

From: <[email-masked]>
Date: Thu, 1 Oct 2009 16:38:20 +0200

Paul,

Please excuse my late answer. 

I like very much your reason list. Would you agree that we add the list
to the draft as requirements, together with some parts of the text from
an earlier e-mail you sent to me on the same issue in august
http://www.ietf.org/mail-archive/web/bliss/current/msg01028.html ?

Thanks a lot
Laura

> -----Original Message-----
> From: Paul Kyzivat [mailto:[email-masked]] 
> Sent: Wednesday, September 23, 2009 3:12 AM
> To: Dean Willis
> Cc: Liess, Laura; [email-masked]
> Subject: Re: [dispatch] Charter proposal: SIP Alert-Info URN
> 
> I agree with Dean here.
> 
> The example of the "France standard ring tone" is a case 
> where you have 
> a URN that identifies some specific audio signal, but in a 
> semantic way 
> rather than by providing an encoding of it. This can be useful for a 
> variety of reasons:
> - its not biased towards a particular representation,
>    which might not be suitable for all devices
> - its convenient when you want to store the actual encoding
>    locally rather than fetching it
> - because it is specified "by name" rather than "by value",
>    its easier to make policy decisions about whether to use it or not.
> - it facilitates translation for the hearing impaired
> 
> 	Thanks,
> 	Paul
> 
> Dean Willis wrote:
> > 
> > On Sep 22, 2009, at 9:12 AM, <[email-masked]> 
> <[email-masked]> 
> > wrote:
> >>
> >> My understanding from your mail way that you know of other 
> use cases
> >> from other mobile standards group.  Is that correct? If 
> yes, does it
> >> make sense to consider them here? The syntax is open so 
> people can add
> >> new labels.
> >>
> > 
> > It's been a while but I may remember conversations in 3GPP, 
> 3GPP2, and OMA.
> > 
> > The ring-back for national standard ringers has always 
> seemed like a a 
> > good application of URN in alert-info. In other words, if you call 
> > somebody in France, you might get back a 180 with an 
> alert-info with a 
> > URN that basically means "France standard ring tone".
> > 
> > I vaguely remember discussion about URN-based alert-info 
> for "public 
> > alert" calls, like storm warnings and evacuation orders.
> > 
> > 
> > There's also been discussion of use in forward-ring cases, as in 
> > alert-info in an INVITE request.
> > 
> > See 
> http://www.ietf.org/mail-archive/web/sip/current/msg01385.html. This 
> > suggests several additional cases that may need to be considered, 
> > probably national variants of distinctive-ring indicators.
> > 
> > 
> > While we probably don't want to charter every possible use case, it 
> > would probably be appropriate to consider any published use 
> cases from 
> > the mobile groups. So perhaps part of the task of the WG 
> would be to 
> > review the extant standards and see if any of them should 
> be added to 
> > the initial registry.
> > 
> > -- 
> > Dean
> > 
> > _______________________________________________
> > dispatch mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/dispatch
> > 
>

---

From: <[email-masked]>
Date: Thu, 1 Oct 2009 16:45:04 +0200

Dean,

I have some questions on your mail:

	 > The ring-back for national standard ringers has always seemed

	> like a a  

In the use-cases we have now in the draft, the end devices resolves the
alert-URN. 
Would this be the same for the "France standard ring tone"? The user
downloads a tone which 
reminds him of France and configures it as "France standard ring tone"?
Or is it something else you have in mind?

	> I vaguely remember discussion about URN-based alert-info for
"public  
	> alert" calls, like storm warnings and evacuation orders.

This makes sense to me and I will ask Brian, he is working on the
emergency alerts stuff. 

Concerning the syntax of the urn's you propose, I see here two
alternatives:  

1) Defining new categories, additional to "tone" and "service", e.g.
"national-ring-back-tones". The alert-URN for the "France standard ring
tone" could look like urn:alert:national-ring-back-tones:standard.france

2) Or just defining new alert-indications in the "tones"-category, e.g.
like urn:alert:tones:standard-ring-back-tone.france

Any thoughts/preferences on this? 

	> There's also been discussion of use in forward-ring cases, as 
	> in alert- 
	> info in an INVITE request.
	> 
	> See
http://www.ietf.org/mail-archive/web/sip/current/msg01385.html.  
	> This suggests several additional cases that may need to be 
	> considered,  

 We have forward-ring cases in the draft for PBX, provided by Alan but
we don't have anything similar for public networks.  Deutsche Telekom
doesn't use distinctive ringing so I can not say much on this issue.    

Adam proposed to look at 3GPP2 A.S0014 and TIA/EIA  (see
http://www.ietf.org/mail-archive/web/bliss/current/msg01020.html   and
http://www.ietf.org/mail-archive/web/bliss/current/msg01027.html ) . 
I think for doing this experience with these specifications and this
kind of tones is needed. This is not the case for me and possible also
for Alan. So if these documents should be covered by this draft,  we
need contributions from experts. Or we try to standardize the mechanism
as soon as possible and leave to the experts from the respective groups
to define and register the alert indications they need.  If we do not
have sufficient expertise in IETF, I would prefer the second
alternative, to avoid dependencies of IETF documents from other standard
bodies.  
Some of the tones in these documents describe the rendering, not the
semantic, e.g. Short-Short-Short, and the alert-URN should describe the
semantic.  

	> the mobile groups. So perhaps part of the task of the WG would
be to  
	> review the extant standards and see if any of them should be 
	> added to  
	> the initial registry

In principle the same comment as above. I would leave this to people who
understand what they define.   

Thanks a lot
Laura

> From: Dean Willis [mailto:[email-masked]] 
> Sent: Tuesday, September 22, 2009 8:18 PM
> To: Liess, Laura
> Cc: Alan Johnston; [email-masked]
> > My understanding from your mail way that you know of other use cases
> > from other mobile standards group.  Is that correct? If yes, does it
> 3GPP2, and  
> OMA.
> The ring-back for national standard ringers has always seemed 
> like a a  
> I vaguely remember discussion about URN-based alert-info for "public  
> There's also been discussion of use in forward-ring cases, as 
> in alert- 
> info in an INVITE request.
> 
> See http://www.ietf.org/mail-archive/web/sip/current/msg01385.html.  
> This suggests several additional cases that may need to be 
> considered,  
> the mobile groups. So perhaps part of the task of the WG would be to  
> review the extant standards and see if any of them should be 
> added to  
> the initial registry.
> 
> --
> Dean
> 
>

---

From: Paul Kyzivat <[email-masked]>
Date: Thu, 01 Oct 2009 11:19:45 -0400

> http://www.ietf.org/mail-archive/web/bliss/current/msg01028.html ?

Sure!

---

From: Paul Kyzivat <[email-masked]>
Date: Thu, 01 Oct 2009 11:29:29 -0400

> Or is it something else you have in mind?

In the end, the device decides what it wants to do.
It can ignore the alert-info if it wants. What the alert-info does is 
say what the other end suggests/prefers.

Given that URNs provide unique names, it means the device can look them 
up among things it knows about. Or it could access some external source 
of tones, providing the URN it is looking for, and perhaps receiving 
back something. (This could be just a form of downloading ringtones.)

You can also consider a "distinctive ring" feature as just a matter of 
taking caller info and mapping it to a particular alert-info URN. That 
could be done in the phone, or it could be done in an application server 
acting on behalf of the phone.

> like urn:alert:tones:standard-ring-back-tone.france

I think perhaps the latter. But it might be a political issue.

	Thanks,
	Paul

---

From: "Dean Willis" <[email-masked]>
Date: Fri, 2 Oct 2009 05:33:46 -0000 (UTC)

> Or is it something else you have in mind?

I think it needs to be a semantic definition. For example, someone who is
using a speech-to-text application for making a phone call should see
something like "Ringing: With French standard ring tone" so they would
know their call is being handled in France.

So, given the semantic encoding, it's up the the UA to figure out how to
render it, possibly based on local configuration as you propose above.
This raises the question: would it be reasonable to have two entries, one
with a semantic value, the other with a more directive rendering that
could be used if the UA had no idea about the semantic value?

> Any thoughts/preferences on this?

No preference here. I'm just guessing that somebody somewhere has a
registry of these things, and it might behoove us to follow its structure,
or at least to find the reference to it.

--
Dean

---

From: Tom Taylor <[email-masked]>
Date: Fri, 02 Oct 2009 09:14:36 -0400

This is getting into very familiar territory -- Megaco did this stuff. For the 
semantics, have a look at the definitions in ITU-T Recommendation E.182 at 
http://www.itu.int/rec/T-REC-E.182-199803-I/en.

---

From: <[email-masked]>
Date: Wed, 7 Oct 2009 13:58:14 +0200

> http://www.itu.int/rec/T-REC-E.182-199803-I/en.

I think this is a good idea and also still manageable for me. I could
try to add the tones defined here and national ringing tones to the next
version of the draft. 

For the national ringing tones, I would use the e.164 country code
rather than the country name. 

Thanks a lot
Laura

> From: Tom Taylor [mailto:[email-masked]] 
> Sent: Friday, October 02, 2009 3:15 PM
> To: Dean Willis
> >> tone" could look like 
> urn:alert:national-ring-back-tones:standard.france
> >

---

From: Francois Audet <[email-masked]>
Date: Wed, 7 Oct 2009 06:58:12 -0700

> rather than the country name.
Are the tones under national jurisdiction, or are they somehow aligned  
with the country codes (which don't align with the country names)?

---

From: Paul Kyzivat <[email-masked]>
Date: Wed, 07 Oct 2009 10:13:11 -0400

> with the country codes (which don't align with the country names)?

I don't know about this stuff, but I sense it is the kind of thing that 
some people are very sensitive about. Its quite possible that some tones 
are mandated legally for certain locales, and others are merely 
conventions followed by one or more providers.

I don't see any compelling reason to organize the URNs in any particular 
way (e.g. by E.164) since in general somebody on the originating side 
will be provisioning a value to include, and they can choose whatever 
they thing they should.

If there is no existing organization of these to follow, and one is 
sought, I would be inclined to choose the kinds of names used for 
localization rather than E.164 codes. Or else just FCFS on friendly names.

	Thanks,
	Paul

---

From: Tom Taylor <[email-masked]>
Date: Wed, 07 Oct 2009 10:57:32 -0400

In fact, in some countries the tones used to vary by region. I don't know if 
that is still the case -- I'd have to research whether the ITU-T collects that 
information any more.

---

From: Francois AUDET <[email-masked]>
Date: Wed, 7 Oct 2009 08:18:57 -0700

That's what I was thinking as well.
I'm sure people who are much better qualified than I am on this topic  
can provide guidance.

On Oct 7, 2009, at 7:57 AM, Tom Taylor wrote:

> In fact, in some countries the tones used to vary by region. I don't  
> know if that is still the case -- I'd have to research whether the  
> ITU-T collects that information any more.
>
>
> Francois Audet wrote:
>> Are the tones under national jurisdiction, or are they somehow  
>> aligned with the country codes (which don't align with the country  
>> names)?

--------
Francois AUDET
mailto:[email-masked]
tel:+1-408-260-5502

---

From: <[email-masked]>
Date: Thu, 8 Oct 2009 15:34:58 +0200

> I'm sure people who are much better qualified than I am on 
This exactly the problem I see with trying to add stuff when we do not
have enough expertise. But, however, let's try. 
As Paul sugested, let's use country names. 

We have the ITU-T international specifications for tones, E.180 and
E.182. Tom, thanks a lot for the reference.  There are also the ETSI
specifications TR 101 041 part 1 and part 2 (from 1997), which give a
list of the tones used in Europe and in the world. I will check these
specifications and provide a new version of the draft to the list. 
 
Thanks a lot, 
Laura

> From: Francois AUDET [mailto:[email-masked]] 
> Sent: Wednesday, October 07, 2009 5:19 PM
> To: Tom Taylor
> Cc: Liess, Laura; <[email-masked]>; [email-masked]